function ControlApp() {    
	this.button_play = null;
	this.button_stop = null;
	this.button_pause = null;
	//this.button_previous_file = null;
	// this.button_next_file = null;
	this.button_previous_folder = null;
	this.button_next_folder = null;
	this.button_play_folder = null;
}

ControlApp.prototype = {
    initilialize: function(ifaces) {
        this.ifaces = ifaces;
		
		// Initialize buttons
		this.button_play = document.getElementById("btn_play");
        this.button_stop = document.getElementById("btn_stop");
        this.button_pause = document.getElementById("btn_pause");
		// this.button_previous_file = document.getElementById("btn_previous_file");
		// this.button_next_file = document.getElementById("btn_next_file");
		this.button_previous_folder = document.getElementById("btn_previous_folder");
		this.button_next_folfer = document.getElementById("btn_next_folder");
		this.button_play_folder = document.getElementById("btn_play_folder");
        
		
		// Initialize button click action
		this.button_play_folder.addEventListener("click", () => this.onButtonPlayFolderClick(parseInt(document.getElementById("numberSelect").value)));  	
		this.button_play.addEventListener("click", () => this.ifaces.player.play());
		this.button_stop.addEventListener("click", () => this.ifaces.player.stop());
		this.button_pause.addEventListener("click", () => this.ifaces.player.pause());
		// this.button_previous_file.addEventListener("click", () => this.ifaces.player.previousFile());		
		// this.button_next_file.addEventListener("click", () => this.ifaces.player.nextFile());		
		this.button_previous_folder.addEventListener("click", () => this.ifaces.player.previousFolder());
		this.button_next_folfer.addEventListener("click", () => this.ifaces.player.nextFolder());
    },

	onButtonPlayFolderClick: function(param) {
        this.ifaces.player.playFolder(param)
    }	
};

window.addEventListener('load', function() {
	var HostPlayer = "10.91.20.34";	
	IDAL.getRemoteControlInterfaces(HostPlayer, "user", "password")
        .then(function(ifaces) {
            var app = new ControlApp();
            app.initilialize(ifaces);
        })

});